%define upstream_name    Module-Math-Depends
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Convenience object for manipulating module dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
This is a small convenience module created originally as part of the
Module::Inspector manpage but released seperately, in the hope that people
might find it useful in other contexts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc README LICENSE Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1505242
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1284804
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1165560
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1159320
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1030203
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 935941
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 747341
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 685462
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 513107
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 369917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 24131
- cleaning spec file
- imported package perl-Module-Math-Depends


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 403867
- rebuild using %%perl_convert_version

* Sat Aug 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.02-1mdv2009.0
+ Revision: 277636
- import perl-Module-Math-Depends


